Get a Field
Deprecated
Deprecated
This endpoint is deprecated and only works for fields on the Base Incident Type.
For more flexibility, we recommend using the Incident Types endpoint:
/incidents/types/{type_id_or_name}/custom_fields/{field_id}
Show detailed information about a Custom Field on the Base Incident Type.
Scoped OAuth requires: custom_fields.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the field.
Query Parameters
Array of additional details to include.
Value in
- "field_options"
Response Body
application/json
application/json
application/json
application/json
Delete a Field DELETE
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated and only works for fields on the Base Incident Type. \ > For more flexibility, we recommend using the Incident Types endpoint: \ > [/incidents/types/{type_id_or_name}/custom_fields/{field_id}](openapiv3.json/paths/~1incidents~1types~1{type_id_or_name}~1custom_fields~1{field_id}/delete) Delete a Custom Field from the Base Incident Type. Scoped OAuth requires: `custom_fields.write`
List Field Options GET
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated and only works for fields on the Base Incident Type. \ > For more flexibility, we recommend using the Incident Types endpoint: \ > [/incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options](openapiv3.json/paths/~1incidents~1types~1{type_id_or_name}~1custom_fields~1{field_id}~1field_options/get) List all enabled Field Options for a Custom Field on the Base Incident Type. Scoped OAuth requires: `custom_fields.read`